<?php
/**
 * Customizer
 * 
 * @package WordPress
 * @subpackage hotel-suite
 * @since hotel-suite 1.0
 */

/**
 * Add postMessage support for site title and description for the Theme Customizer.
 *
 * @param WP_Customize_Manager $wp_customize Theme Customizer object.
 */
function hotel_suite_customize_register( $wp_customize ) {
	$wp_customize->add_section( new Hotel_Suite_Upsell_Section($wp_customize,'upsell_section',array(
		'title'            => __( 'Hotel Suite Pro', 'hotel-suite' ),
		'button_text'      => __( 'Upgrade Pro', 'hotel-suite' ),
		'url'              => 'https://www.wpradiant.net/products/suite-wordpress-theme',
		'priority'         => 0,
	)));
}
add_action( 'customize_register', 'hotel_suite_customize_register' );

/**
 * Enqueue script for custom customize control.
 */
function hotel_suite_custom_control_scripts() {
	wp_enqueue_script( 'hotel-suite-custom-controls-js', get_template_directory_uri() . '/assets/js/custom-controls.js', array( 'jquery', 'jquery-ui-core', 'jquery-ui-sortable' ), '1.0', true );
	wp_enqueue_style( 'hotel-suite-customize-controls', trailingslashit( get_template_directory_uri() ) . '/assets/css/customize-controls.css' );
}
add_action( 'customize_controls_enqueue_scripts', 'hotel_suite_custom_control_scripts' );